Loading...
Searching...
No Matches
bi_fm_index.hpp File Reference

Provides the bidirectional seqan3::bi_fm_index. More...

`#include <filesystem>`
`#include <ranges>`
`#include <utility>`
`#include <seqan3/core/range/type_traits.hpp>`
`#include <seqan3/search/fm_index/bi_fm_index_cursor.hpp>`
`#include <seqan3/search/fm_index/fm_index.hpp>`
Include dependency graph for bi_fm_index.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | seqan3::bi_fm_index< alphabet_t, text_layout_mode_, sdsl_index_type_ >
| The SeqAn Bidirectional FM Index. More...

## Namespaces

namespace | seqan3
| The main SeqAn3 namespace.

## Functions

Template argument type deduction guides
template<std::ranges::range text_t>
| seqan3::bi_fm_index (text_t &&) -> bi_fm_index< range_innermost_value_t< text_t >, text_layout
| Deduces the dimensions of the text.

## Detailed Description

Provides the bidirectional seqan3::bi_fm_index.

Author
  Christopher Pockrandt <christopher.pockrandt AT fu-berlin.de>

Hide me